package storage

import (
	"fmt"
	"github.com/google/uuid"
	"testing"
)

func TestSet(t *testing.T) {
	sdk := NewBoltSdk()
	err := sdk.Set("2", uuid.NewString())
	if err != nil {
		fmt.Println(err)
		return
	}
	value, err := sdk.Get("2")
	fmt.Println(value, err)
}

func TestGet(t *testing.T) {
	sdk := NewBoltSdk()
	value, err := sdk.Get("1")
	fmt.Println(value, err)
	sdk.Delete("1")
	k, v, err := sdk.GetFirst()
	fmt.Println(k, v, err)
}
